WordPress database error: [Can't create/write to file '/tmp/#sql-temptable-4db-618036-7.MAI' (Errcode: 28 "No space left on device")]
SHOW FULL COLUMNS FROM `wp_options`

Bootstrap Timepicker - examples & tutorial

WordPress database error: [Can't create/write to file '/tmp/#sql-temptable-4db-618036-c.MAI' (Errcode: 28 "No space left on device")]
SELECT p.*, o.option_value, GROUP_CONCAT(DISTINCT CONCAT(m.meta_key, "::", m.meta_value) separator "::::") as seo_meta, t.slug, tr.language_code as language FROM wp_posts p JOIN wp_postmeta m ON p.ID = m.post_id JOIN wp_options o ON o.option_name = "siteurl" JOIN wp_term_relationships r ON r.object_id = p.ID JOIN wp_term_taxonomy x ON x.term_taxonomy_id = r.term_taxonomy_id JOIN wp_terms t ON t.term_id = x.term_id JOIN wp_icl_translations tr ON p.ID = tr.element_id WHERE post_type = "page" AND post_status = "publish" AND tr.language_code = 'en' AND t.slug IN ('jquery') AND x.taxonomy = "page_cat" AND tr.element_type = "post_page" AND meta_key IN ("_yoast_wpseo_title", "_yoast_wpseo_metadesc") GROUP BY p.ID

Timepicker

Bootstrap 5 Timepicker component

Use MDB custom Timepicker component to select time.

Note: Read the API tab to find all available options and advanced customization


Basic example

MDB allows us to automatically initialize a Timepicker when the page is loaded. You have to have a class timepicker in your picker wrapper.


Inline Timepicker with 12h

MDB Timepicker allows you to use a inline version timepicker. Default version is with 12h.


Inline Timepicker with 24h

MDB Timepicker allows you to use a inline version timepicker. You have to add options format24 to true.


Custom Icon

You can set your custom icon to input. If you will add the icon, the main icon from the input will be replaced with yours. You have to add class timepicker-toggle-button to your element with data-mdb-toggle and timepicker-icon to your icon.

With button


With icon


Without icon

MDBTimepicker allows to set input without icon. You can set this with data-mdb-with-icon set to false or with the options withIcon set to false if you are initiate timepicker with js.


Default time

MDB Timepicker allows to initialize a default time in the picker and input. You can set it with option defaultTime. This options accepts strings like:

  • 12:34
  • 12:34 PM
  • 12:34 AM

and also new Date() format like:

  • new Date()
  • new Date().toLocaleTimeString([],{timeStyle: 'short'})

Note: If you are using string with PM/AM, you have to have option format24 set to false otherwise your default time will be formate to 24h. Also if you are using string without PM/AM and you would like have 24h format hour you have to set option format24 to true. If you will only put a string without PM/AM and format24 set to false you are gonna have a timepicker with 12h and format set to AM with default.


Handle input value

If you want handle input value on modal approve, you have to add custom event to selected picker.

Input value:

Format 24h

Timepicker allows you to use time format with 24 hours. You can set it with the JavaScript options or with data-mdb-format24 and set it to true.


Just Input

You can set a timepicker to just an input.


Increment

You can set a increment value by 5 to a minutes.


Max time

You can max time to timepicker with options.


Max time with PM

You can max time to timepicker with options.


Max time with AM

You can max time to timepicker with options.


Min time

You can min time to timepicker with options.


Min time with PM

You can min time to timepicker with options.


Min time with AM

You can min time to timepicker with options.


Max/Min hours

You can max and min hour to timepicker with options.


Maximum hour

You can set only maximum hour to timepicker.


Minimum hour

You can set only minimum hour to timepicker.


Accessibility

We added proper aria attributes to the timepicker controls to make the component accessible. It's possible to change the values of those attributes by modyfing the component options:


If you want to support our friends from Tailwind Elements you can also check out the Tailwind timepicker documentation.

Timepicker - API


Usage

Via data attributes or JavaScript, the timepicker plugin allows to select a time and show it on the selected output.


Via classes

Add class timepicker to your selected wrapper with input. It automaticly set timepicker to this element. Timepicker will be toggling with dynamic icon created in this container.


        <div class="form-outline timepicker">
          <input type="text" class="form-control" id="form1" />
          <label class="form-label" for="form1">Example label</label>
        </div>
      

Via data attributes

Add data-mdb-toggle="timepicker" to a input or selected element like button.


        <div class="form-outline timepicker">
          <input type="text" class="form-control" id="form1" />
          <label class="form-label" for="form1" data-mdb-toggle="timepicker">Example label</label>
        </div>
      

Via JavaScript

Via JavaScript plugin required a class or ID wrapper element with timepicker class.


        const myTimepicker = new mdb.Timepicker(document.getElementById('wrapper-id'), options)
      

Options

Options can be passed via data attributes or JavaScript. For data attributes, append the option name to data-mdb-, as in data-mdb-format24.

Name Type Default Description
appendValidationInfo boolean true

Allows to append div with information about invalid format

bodyID string ""

Allows to set Timepicker modal body ID.

cancelLabel string "Cancel"

Text of cancel button.

clearLabel string "Clear"

Text of clear button.

closeModalOnMinutesClick boolean true

Allows to close modal if minutes are selected.

disabled boolean false

Set a disabled attribute to input in wrapper

enableValidation boolean true

Enables input validation

footerID string false

Allows to set Timepicker modal footer ID

format12 boolean true

Allows to use format 12h

format24 boolean false

Allows to use format 24h

headID string ""

Allows to set Timepicker modal head ID

increment boolean false

Allows to set increment minutes by 5

inline boolean false

Allows to use a inline version of timepicker

invalidLabel string "Invalid Time Format"

Allows to change a text in the invalid div

maxHour string | number ""

Allows to set max hour for picker

minHour string | number ""

Allows to set min hour for picker

modalID string ""

Allows to set Timepicker modal ID

okLabel string "Ok"

Allows to change a text inside submit button

overflowHidden boolean true

Allows to disable/enable a overflow hidden to body if modal is shown

pickerID string ""

Allows to set Timepicker picker ID

readOnly boolean false

Allows to set readonly property to input inside wrapper

showClearBtn boolean true

Allows to attach/remove clear button in modal.

switchHoursToMinutesOnClick boolean true

Allows to enable/disable switching to minutes if hours are selected

withicon boolean true

Allows to enable/disable append a icon to input

iconClass string 'fas fas fa-clock fa-sm timepicker-icon'

Allows to set custom classes to timepicker icon

pmLabel string 'PM'

Allows to set custom text to PM button

amLabel string 'AM'

Allows to set custom text to AM button


Methods

Name Description Example
dispose Destroy timepicker with this method timepicker.dispose()
getInstance Static method which allows you to get the timepicker instance associated to a DOM element. Timepicker.getInstance(myTimepicker)

Events

Name Description
input.mdb.timepicker This event fires when timepicker modal is approved and showing current elements with data-mdb-toggle. You can use it for taking a value when you are saving value to input.

Vue Time Picker 2 MDB Pro component

Vue Time Picker 2 - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap time picker is a component which allows user to select a time in the Bootstrap form.

This documentation may contain syntax introduced in the MDB Vue 6.7.0 and can be incompatible with previous versions. For old timepicker documentation please follow the link.


Basic examples MDB Pro component

        
            
          <template>
            <mdb-container>
              <mdb-row>
                <mdb-col col="6">
                  <mdb-time-picker-2 id="timePickerOne" placeholder="Select your time" label="format: am/pm"
                    v-model="pickerValue" />
                </mdb-col>
              </mdb-row>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbTimePicker2,
              mdbContainer,
              mdbRow,
              mdbCol
            } from "mdbvue";
            export default {
              name: "TimePickerPage",
              components: {
                mdbTimePicker2,
                mdbContainer,
                mdbRow,
                mdbCol
              },
              data() {
                return {
                  pickerValue: ""
                };
              }
            };
          </script>
          
        
    

24 hour clock MDB Pro component

Set 12 or 24 hour clock.

        
            
          <template>
            <mdb-container>
              <mdb-row>
                <mdb-col col="6">
                  <mdb-time-picker-2 id="timePickerTwo" placeholder="Select your time" label="format: 24h"
                    :hours-format="24" v-model="pickerValue" />
                </mdb-col>
              </mdb-row>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbTimePicker2,
              mdbContainer,
              mdbRow,
              mdbCol
            } from "mdbvue";
            export default {
              name: "TimePickerPage",
              components: {
                mdbTimePicker2,
                mdbContainer,
                mdbRow,
                mdbCol
              },
              data() {
                return {
                  pickerValue: ""
                };
              }
            };
          </script>
          
        
    

Step MDB Pro component

Step - 15

        
            
          <template>
            <mdb-container>
              <mdb-row>
                <mdb-col col="6">
                  <mdb-time-picker-2 id="timePickerTwo" placeholder="Select your time" label="format: 24h"
                    :hours-format="24" v-model="pickerValue" />
                </mdb-col>
              </mdb-row>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbTimePicker2,
              mdbContainer,
              mdbRow,
              mdbCol
            } from "mdbvue";
            export default {
              name: "TimePickerPage",
              components: {
                mdbTimePicker2,
                mdbContainer,
                mdbRow,
                mdbCol
              },
              data() {
                return {
                  pickerValue: ""
                };
              }
            };
          </script>
          
        
    

Range MDB Pro component

Select time from 10:00am to 09:00pm

        
            
          <template>
            <mdb-container>
              <mdb-row>
                <mdb-col col="6">
                  <mdb-time-picker-2 id="timePickerTwo" placeholder="Select your time" label="format: 24h"
                    :hours-format="24" v-model="pickerValue" />
                </mdb-col>
              </mdb-row>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbTimePicker2,
              mdbContainer,
              mdbRow,
              mdbCol
            } from "mdbvue";
            export default {
              name: "TimePickerPage",
              components: {
                mdbTimePicker2,
                mdbContainer,
                mdbRow,
                mdbCol
              },
              data() {
                return {
                  pickerValue: ""
                };
              }
            };
          </script>
          
        
    

Validation MDB Pro component

Validate Time Picker

        
            
          <template>
            <mdb-container>
              <mdb-row>
                <mdb-col sm="8" md="6">
                  <form @submit.prevent>
                    <mdb-time-picker2 label="Select time between 10:00 and 15:00" :hours-format="24" v-model="picker"
                      min="10:00" max="15:00" :wasValidated="wasValidated" :isValid="isValid"
                      validFeedback="Everything OK" invalidFeedback="Choose another hour!"
                      @getInputValue="handleChange" />
                    <mdb-btn @click="submit" type="submit" class="float-right" color="primary" rounded>Submit</mdb-btn>
                    <mdb-btn @click="wasValidated = false" type="submit" class="float-right" color="primary" rounded>Reset
                    </mdb-btn>
                  </form>
                </mdb-col>
              </mdb-row>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbTimePicker2,
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbBtn
            } from "mdbvue";
            export default {
              components: {
                mdbTimePicker2,
                mdbContainer,
                mdbRow,
                mdbCol,
                mdbBtn
              },
              data() {
                return {
                  picker: "",
                  timePickerValue: "",
                  isValid: false,
                  inputValue: "12:00"
                };
              },
              methods: {
                submit() {
                  this.wasValidated = true;
                  this.validate();
                },
                handleChange(e) {
                  this.inputValue = e;
                  this.$nextTick(this.validate);
                },
                validate() {
                  if (this.inputValue === this.picker12 && this.inputValue !== "") {
                    this.isValid = true;
                  } else {
                    this.isValid = false;
                  }
                }
              }
            };
          </script>
          
        
    

Alternative input styling MDB Pro component

        
            
          <template>
            <mdb-container>
              <mdb-row>
                <mdb-col sm="8" md="6">
                  <mdb-time-picker2 label="Simple input" :outline="false" />
                </mdb-col>
              </mdb-row>
              <mdb-row>
                <mdb-col sm="8" md="6">
                  <mdb-time-picker2 label="Background input" bg />
                </mdb-col>
              </mdb-row>
              <mdb-row>
                <mdb-col sm="8" md="6">
                  <mdb-time-picker2 label="Large input" size="lg"
                    :picker-icon="{ icon: 'clock', class: 'fa-lg', far: true }" />
                </mdb-col>
              </mdb-row>
              <mdb-row>
                <mdb-col sm="8" md="6">
                  <mdb-time-picker2 label="Small input" size="sm"
                    :picker-icon="{ icon: 'clock', class: 'fa-sm', far: true }" />
                </mdb-col>
              </mdb-row>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbTimePicker2,
              mdbContainer,
              mdbRow,
              mdbCol
            } from "mdbvue";
            export default {
              name: "TimePickerPage",
              components: {
                mdbTimePicker2,
                mdbContainer,
                mdbRow,
                mdbCol
              },
              data() {
                return {
                  pickerValue: ""
                };
              }
            };
          </script>
          
        
    

TimePicker with icon MDB Pro component

        
            
          <template>
            <mdb-container>
              <mdb-row>
                <mdb-col col="6">
                  <mdb-time-picker-2 id="timePickerFour" label="icon" icon="clock" v-model="pickerValue" />
                </mdb-col>
              </mdb-row>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbTimePicker2,
              mdbContainer,
              mdbRow,
              mdbCol
            } from "mdbvue";
            export default {
              name: "TimePickerPage",
              components: {
                mdbTimePicker2,
                mdbContainer,
                mdbRow,
                mdbCol
              },
              data() {
                return {
                  pickerValue: ""
                };
              }
            };
          </script>
          
        
    

Keyboard navigation

Open time picker by pressing Enter key and tab through available options - and press Enter again to select one. When the focus is on hours/minuts (header) use up and down arrows to increment values. To close a modal use Ecs. Use backspace to go back from minutes to hour plate.


Default value

To set the default value just use v-model directive and set date as a value.


Access from outside

        
            
        <template>
          <mdb-container>
            <mdb-row>
              <mdb-col col="6">
                <mdb-time-picker-2 label="outside access" ref="picker" v-model="pickerValue" />
                <mdb-btn size="sm" @click.native="$refs.picker.open()">Open Picker</mdb-btn>
                <mdb-btn size="sm" @click.native="$refs.picker.clear()">Clear Picker</mdb-btn>
              </mdb-col>
            </mdb-row>
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbTimePicker2,
            mdbContainer,
            mdbRow,
            mdbCol,
            mdbBtn
          } from "mdbvue";
          export default {
            name: "TimePickerPage",
            components: {
              mdbTimePicker2,
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbBtn
            },
            data() {
              return {
                pickerValue: ""
              };
            }
          };
        </script>
        
        
    

Time Picker - API

In this section you will find advanced information about the Time Picker component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
    <script>
      import {
        mdbTimePicker
      } from 'mdbvue';
    </script>
    
        
    

API Reference: Properties

Name Type Default Description Example
color String 'primary-color' Changing picker elements color <mdb-time-picker color="secondary-color">
textColor String 'text-primary' Changing picker text color <mdb-time-picker text-color="grey-text">
autoClose Boolean false Makes the picker close after minutes are selected <mdb-time-picker auto-close >
hoursFormat Number 12 Changing picker format <mdb-time-picker :hoursFormat="24">
id String Adding id attribute to the component. <mdb-time-picker id="timePickerOne">
label String Select label. <mdb-time-picker label="format: am/pm">
placeholder String 'Select time' Select placeholder. <mdb-time-picker placeholder="Select your time">
outline Boolean true Applies outline style to a component <mdb-time-picker-2 outline />
disableInput Boolean The input is not rendered - option for opening time picker with a custom element <mdb-time-picker-2 disable-input />
pickerIcon Object { icon: 'clock' } Changes the picker's icon (available keys: icon, fab, far, fad, fal, class <mdb-time-picker-2 :pickerIcon="{icon: '', fab: true, class: "red-text"}" />
step Number 1 Step for minutes (allowed: 1 or multiples of 5 ) <mdb-time-picker-2 :step="20" />
min String Minimum value <mdb-time-picker-2 min="12:00am" />
max String Maximum value <mdb-time-picker-2 max="12:00am" />
wasValidated Boolean false Adds validation styling <mdb-time-picker-2 :was-validated="true" />
isValid Boolean false Indicates if the selected time is value <mdb-time-picker-2 :was-validated="true" :is-valid="false" />
validFeedback String Displays a validation message (valid) <mdb-time-picker-2 valid-feedback="OK!" />
invalidFeedback String Displays a validation message (invalid) <mdb-time-picker-2 invalid-feedback="OK!" />
bg Boolean false Sets design to animated border with background <mdb-time-picker-2 bg />
icon String Adds icon to a datepicker's input <mdb-time-picker-2 icon="clock" />
iconClass String Adds custom class to a datepicker's icon <mdb-time-picker-2 icon="clock" iconClass="yellow-text" />
far Boolean false Changes icon's style to regular <mdb-time-picker-2 icon="paper-plane" far/>
fab Boolean false Changes icon's style to brands <mdb-time-picker-2 icon="..." fab />
fad Boolean false Changes icon's style to duotone <mdb-time-picker-2 icon="..." fad />
fal Boolean false Changes icon's style to light <mdb-time-picker-2 icon="..." fal />
v-model String '' Stores timePicker value <mdb-time-picker-2 v-model="pickerValue" />
doneLabel String 'Ok' Changes the label of the done button <mdb-time-picker-2 done-label="..." />
clearLabel String 'Ok' Changes the label of the clear button <mdb-time-picker-2 clear-label="..." />
closeLabel String 'Ok' Changes the label of the close button <mdb-time-picker-2 close-label="..." />
hoursAriaLabel String 'Ok' Changes the aria label of the hours buttons <mdb-time-picker-2 hours-aria-label="..." />
minutesAriaLabel String 'Ok' Changes the aria label of the minutes buttons <mdb-time-picker-2 minutes-aria-label="..." />

API Reference: Methods

Name Parameters Description Example
@getValue value Returns time-picker value. <mdb-time-picker @getValue="getPickersValue" />
@focus e Emitted on input's native focus event, meaning when the field gains focus. <mdb-time-picker-2 @focus="onFocus" />
@blur e Emitted on input's native blur event, meaning when the field looses focus. <mdb-time-picker-2 @blur="onBlur" />
@close e Emitted on timePicker close. <mdb-time-picker @close="onClose" />
@getInputValue e Emittes the input's value <mdb-time-picker @getInputValue="handleInputChange" />

Angular Bootstrap Time Picker

Angular Time Picker - Bootstrap 4 & Material Design

Angular Bootstrap time picker is a component that allows users to choose a time from the form.

This documentation may contain syntax introduced in the MDB Angular 9.2.0 and can be incompatible with previous versions. For old timepicker documentation please follow the link.


Basic examples MDB Pro component

Live example
        
            
            <div class="md-form">
              <input
                mdbInput
                type="text"
                id="form1"
                class="form-control"
                [mdbTimePicker]="timepicker"
              />
              <label for="form1">Example label</label>
              <mdb-timepicker-toggle
                [mdbTimePickerToggle]="timepicker"
              ></mdb-timepicker-toggle>
              <mdb-timepicker #timepicker></mdb-timepicker>
            </div>
          
        
    

Required Validation

        
            
            <form [formGroup]="validatingForm">
              <div class="md-form">
                <input
                  mdbValidate
                  mdbInput
                  type="text"
                  id="form1"
                  class="form-control"
                  [mdbTimePicker]="timepicker"
                  formControlName="required"
                />
                <label for="form1">Example label</label>
                <mdb-timepicker-toggle
                  [mdbTimePickerToggle]="timepicker"
                ></mdb-timepicker-toggle>
                <mdb-timepicker #timepicker></mdb-timepicker>
                <mdb-error *ngIf="input.invalid && (input.dirty || input.touched)">Input invalid</mdb-error>
                <mdb-success *ngIf="input.valid && (input.dirty || input.touched)">Input valid</mdb-success>
              </div>
            </form>
          
        
    
        
            
            import { FormGroup, FormControl, Validators } from '@angular/forms';
            import { Component } from '@angular/core';

            @Component({
            selector: 'validators-component-example',
            templateUrl: 'validators-example.html',
            })
            export class ValidatorsComponent {
              validatingForm: FormGroup;

              constructor() {
                this.validatingForm = new FormGroup({
                  required: new FormControl(null, Validators.required)
                });
              }

              get input() { return this.validatingForm.get('required'); }
            }
          
        
    

Default Time Picker

Below is presented the browser's default Date Picker with MD input.

        
            
            <div class="md-form">
              <input
                type="time"
                id="input"
                class="form-control"
                value="13:00"
                mdbInput
              />
              <label for="input">Choose your time</label>
            </div>
          
        
    

Angular Time Picker - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of time picker component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

API Reference for MDB Angular Time Picker:
        
            
          import { MdbTimepickerModule, WavesModule } from 'ng-uikit-pro-standard';
        
        
    

Components

MdbTimePicker

Selector: mdb-time-picker

Type: ClockPickerComponent


Inputs

Name Type Default Description Example
autoClose boolean false Auto close modal if you set time [autoClose]="true"
clearButton string 'Clear' Custom text that will be used as label for 'Clear' button [clearButton]="'Reset'"
closeButton string 'Close' Custom text that will be used as label for 'Clear' button [closeButton]="'Hide'"
max string Sets the maximum available time [max]="'01:23PM'"
min string Sets the minimum available time [min]="false"
okButton string 'ok' Custom text that will be used as label for 'OK' button [okButton]="'Done'"
rounding number 1 Changes step of minute digital for 1, 5, 10, 15, 20 [rounding]="5"
twelveHour boolean true Changes format of clock [twelveHour]="false"

Outputs

Name Type Description Example
timeChange EventEmitter<object> Event emitted when time value change (timeChanged)="onTimeChange($event)"
cancel EventEmitter<object> Event emitted when modal will close (cancel)="onModalClose($event)"
done EventEmitter<object> Event emitted when user sets time (done)="onTimeDone($event)"
show EventEmitter<object> Event emitted when user open modal (show)="onModalShow($event)"

React Bootstrap Time Picker

React Time Picker - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Bootstrap material time picker is a component which uses a dialog to select a single time in hours:minutes format. The selected time is indicated bu the filled circle at the end of the clock hand.


Basic example

        
            
          import React, { Component } from "react";
          import { MDBTimePicker, MDBCol } from "mdbreact";
  
          class TimePickerPage extends Component {
            getPickerValue = (value) => {
              console.log(value);
            };
  
            render() {
              return (
                <MDBCol md="3">
                  <MDBTimePicker
                    id="timePicker"
                    label="12hrs format"
                    getValue={this.getPickerValue}
                  />
                </MDBCol>
              );
            }
          }
  
          export default TimePickerPage;
  
          
        
    

Twenty four hours clock

Set 12 or 24 hour clock.

        
            
          import React, { Component } from "react";
          import { MDBTimePicker, MDBCol } from "mdbreact";
  
          class TimePickerPage extends Component {
            getPickerValue = (value) => {
              console.log(value);
            };
  
            render() {
              return (
                <MDBCol md="3">
                  <MDBTimePicker
                    id="timePicker"
                    label="24hrs format"
                    hours={12}
                    minutes={0}
                    hoursFormat={24}
                    getValue={this.getPickerValue}
                  />
                </MDBCol>
              );
            }
          }
  
          export default TimePickerPage;
  
          
        
    

React TimePicker - API

In this section you will find advanced information about the TimePicker component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use to work with it.


Imports

        
            
          import React from 'react';
          import { MDBTimePicker } from 'mdbreact';
        
        
    

API Reference: Properties

The table below shows the configuration options of the MDBTimePicker component.

Name Type Default Description Example
id String Required! The ID of time indicator input <MDBTimePicker id="timePicker" />
allowedValues Array of Number all Determines which hour is allowed to be selected <MDBTimePicker allowedValues={[1, 3, 5, 7, 9]} />
autoSwitch Boolean true Allows to auto switch to minutes if hour has been selected <MDBTimePicker autoSwitch={false} />
cancelable Boolean false Switches on the 'Cancel' button <MDBTimePicker cancelable />
cancelText String Cancel Rewrites default Cancel button text <MDBTimePicker cancelText="Remove" />
clearable Boolean false Switches on the 'Clear' button <MDBTimePicker clearable />
clearText String Clear Rewrites default Clear button text <MDBTimePicker clearText="Vanish" />
closeOnCancel Boolean false Autmatically close time picker when Cancel button is clicked <MDBTimePicker closeOnCancel />
color String primary Colour of the time display and buttons. Use mdb color pallete <MDBTimePicker color="default" />
dayTime String am Sets day time when use 12h time picker <MDBTimePicker dayTime="pm" />
doneText String Done Rewrites default Done button text <MDBTimePicker doneText="OK" />
hours Number 12 Sets hours placeholder <MDBTimePicker hours={5} />
hoursFormat Number 12 Changes hour format. You can use 12 or 24 hrs format <MDBTimePicker hoursFormat={24} />
label String Sets label for time indicator input <MDBTimePicker label="Pick the time" />
minutes Number 0 Sets minutes placeholder <MDBTimePicker minutes={30} />
placeholder String Sets placeholder for time indicator input <MDBTimePicker placeholder="Placeholder" />
startFromInner Boolean true In 24hrs mode determines if higher numbers are on outer or inner radius <MDBTimePicker startFromInner={false} />

API Reference: Methods

The table below shows the methods which you can use with MDBInput component.

Name Parameters Description Example
getValue Returns MDBTimePicker value on input change <MDBTimePicker getValue={this.handleChange} >